package com.ruoyi.syzy.mapper;

import java.util.List;
import com.ruoyi.syzy.domain.BBusiWishRecords;

/**
 * 志愿记录Mapper接口
 * 
 * @author mingxue
 * @date 2021-08-23
 */
public interface BBusiWishRecordsMapper {
    /**
     * 查询志愿记录
     * 
     * @param id 志愿记录ID
     * @return 志愿记录
     */
    public BBusiWishRecords selectBBusiWishRecordsById(Long id);

    /**
     * 查询志愿记录列表
     * 
     * @param bBusiWishRecords 志愿记录
     * @return 志愿记录集合
     */
    public List<BBusiWishRecords> selectBBusiWishRecordsList(BBusiWishRecords bBusiWishRecords);

    /**
     * 新增志愿记录
     * 
     * @param bBusiWishRecords 志愿记录
     * @return 结果
     */
    public int insertBBusiWishRecords(BBusiWishRecords bBusiWishRecords);

    /**
     * 修改志愿记录
     * 
     * @param bBusiWishRecords 志愿记录
     * @return 结果
     */
    public int updateBBusiWishRecords(BBusiWishRecords bBusiWishRecords);
    public int updateObsoleteByUser(Long userId);
    /**
     * 删除志愿记录
     * 
     * @param id 志愿记录ID
     * @return 结果
     */
    public int deleteBBusiWishRecordsById(Long id);

    /**
     * 批量删除志愿记录
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteBBusiWishRecordsByIds(Long[] ids);
}
